Skip to main content
GET
List customers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number
default:50

Maximum number of items to return (1-100).

Required range: x <= 100
Example:

50

cursor
string

Opaque cursor returned in the previous response's next_cursor. Omit to fetch the first page.

include_total
default:false

Set to true to include total in the response.

Example:

false

order
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
Example:

"desc"

sort
enum<string>

Field used to sort the results.

Available options:
created_at,
updated_at
name
string
name__not
string
name__isNull
string
name__isNotNull
string
name__equals
string
name__contains
string
name__startsWith
string
name__endWith
string
type
Available options:
corporate,
person
type__in
Available options:
corporate,
person
status
Available options:
all,
active,
inactive,
imported,
archived
status__in
Available options:
all,
active,
inactive,
imported,
archived
currency
string
currency__not
string
currency__isNull
string
currency__isNotNull
string
currency__equals
string
currency__contains
string
currency__startsWith
string
currency__endWith
string
country
string
country__not
string
country__isNull
string
country__isNotNull
string
country__equals
string
country__contains
string
country__startsWith
string
country__endWith
string
external_id
string
external_id__not
string
external_id__isNull
string
external_id__isNotNull
string
external_id__equals
string
external_id__contains
string
external_id__startsWith
string
external_id__endWith
string
billing_email
string
billing_email__not
string
billing_email__isNull
string
billing_email__isNotNull
string
billing_email__equals
string
billing_email__contains
string
billing_email__startsWith
string
billing_email__endWith
string
tax_id
string
tax_id__not
string
tax_id__isNull
string
tax_id__isNotNull
string
tax_id__equals
string
tax_id__contains
string
tax_id__startsWith
string
tax_id__endWith
string
subscription_status
Available options:
active,
pending,
cancelled,
paused,
trialing,
errored,
draft,
none
subscription_status__in
Available options:
active,
pending,
cancelled,
paused,
trialing,
errored,
draft,
none
invoicing_entity_id
string
invoicing_entity_id__not
string
invoicing_entity_id__isNull
string
invoicing_entity_id__isNotNull
string
invoicing_entity_id__equals
string
invoicing_entity_id__contains
string
invoicing_entity_id__startsWith
string
invoicing_entity_id__endWith
string
segment_id
string
custom_properties
string
payment_method_type
Available options:
card,
direct_debit,
direct_debit_ach,
direct_debit_bacs,
transfer,
external,
missing,
errored
payment_method_type__in
Available options:
card,
direct_debit,
direct_debit_ach,
direct_debit_bacs,
transfer,
external,
missing,
errored
integration_entity_id
string
created_at
string<date-time>
created_at__not
string<date-time>
created_at__isNull
string<date-time>
created_at__isNotNull
string<date-time>
created_at__equals
string<date-time>
created_at__lt
string<date-time>
created_at__lte
string<date-time>
created_at__gt
string<date-time>
created_at__gte
string<date-time>
updated_at
string<date-time>
updated_at__not
string<date-time>
updated_at__isNull
string<date-time>
updated_at__isNotNull
string<date-time>
updated_at__equals
string<date-time>
updated_at__lt
string<date-time>
updated_at__lte
string<date-time>
updated_at__gt
string<date-time>
updated_at__gte
string<date-time>

Response

200 - application/json
data
object[]
required

List of Customer.

next_cursor
string | null
required

Cursor to fetch the next page. null when there are no more items.

Example:

null

has_more
boolean
required

Whether more items are available after this page.

Example:

false

total
number

Total number of items matching the filters. Only present when include_total=true was passed.

Example:

1